Subject: mouse clicks in vc-dir buffers accidentally changing marks

From: Glenn Morris <[email-masked]>
Date: Mon, 11 Feb 2013 23:56:18 -0500

Package: emacs
Version: 24.3
Severity: minor

Maybe it's just me, but I find it too easy to accidentally change the
marked files in a vc-dir buffer with careless mouse clicks.

In a directory under version control with modified files:

emacs -Q -f vc-dir

The text that says "edited" (and the space following it all the way up
to the filename) runs vc-dir-toggle-mark on mouse clicks. I find this
makes it too easy to accidentally change the marked state when using the
mouse to select a different window or frame.

In a dired buffer, there is no way to mark files with mouse clicks
AFAICS. I don't see why vc-dir needs one. (Confusingly, clicking on the
actual mark character itself at the start of the line in a vc-dir buffer
does nothing.)